<template>
  <h1 class="text-3xl font-bold dark:text-white">Articles du flux</h1>
  <p>Total : {{ data.total_rows }}</p>
  <UTable :rows="data.data" :columns="columns" :loading="loading" />
</template>

<script setup lang="ts">
import {useNuxtApp} from "#app";
import type {Api} from "~/types/api";

const props = defineProps({
  'flux': {
    type: String,
    required: true
  }
})
const data = ref({})
const loading = ref(false)
const error = ref('')
const nuxtApp = useNuxtApp()
const $api = nuxtApp.$api as Api

const columns = [
  {
    key: 'title',
    label: 'Titre'
  },
  {
    key: 'type',
    label: 'Type'
  },
  {
    key: 'sourceURL',
    label: 'Source article'
  }
]

async function loadData () {
  try {
    loading.value = true
    data.value = await $api.getNewsByFlux(props.flux.Flux_id)
  } catch (err)  {
    error.value = err.message
  } finally {
    loading.value = false
  }
}

onMounted(() => {
  loadData()
})
</script>